OGRE: Ogre::RTShader::AssignmentAtom Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::AssignmentAtom Class Reference
Optional Components » RTShaderSystem

shorthand for "lhs = rhs;" insted of using FFP_Assign(rhs, lhs) More...

`#include <OgreShaderFunctionAtom.h>`

Inheritance diagram for Ogre::RTShader::AssignmentAtom:
[legend]

## Public Member Functions
| AssignmentAtom (const Out &lhs, const In &rhs, int groupOrder)
| AssignmentAtom (int groupOrder)
void | writeSourceCode (std::ostream &os, const String &targetLanguage) const override
| Abstract method that writes a source code to the given output stream in the target shader language.
Public Member Functions inherited from Ogre::RTShader::FunctionAtom
virtual | ~FunctionAtom ()
| Class default destructor.
int | getGroupExecutionOrder () const
| Get the group execution order of this function atom.
OperandVector & | getOperandList ()
| Get a list of parameters this function invocation will use in the function call as arguments.
void | pushOperand (ParameterPtr parameter, Operand::OpSemantic opSemantic, Operand::OpMask opMask=Operand::OPM_ALL, int indirectionLevel=0)
| Push a new operand (on the end) to the function.
void | setOperands (const OperandVector &ops)

## Additional Inherited Members
Public Types inherited from Ogre::RTShader::FunctionAtom
typedef std::vector< Operand > | OperandVector

## Detailed Description

shorthand for "lhs = rhs;" insted of using FFP_Assign(rhs, lhs)

## Constructor & Destructor Documentation

## ◆ AssignmentAtom() [1/2]

Ogre::RTShader::AssignmentAtom::AssignmentAtom | ( | int | groupOrder | ) |
| inlineexplicit

## ◆ AssignmentAtom() [2/2]

Ogre::RTShader::AssignmentAtom::AssignmentAtom | ( | const Out & | lhs,
|  | const In & | rhs,
|  | int | groupOrder )

Note
  the argument order is reversed comered to all other function invocations

## Member Function Documentation

## ◆ writeSourceCode()

void Ogre::RTShader::AssignmentAtom::writeSourceCode | ( | std::ostream & | os,
|  | const String & | targetLanguage ) const
| overridevirtual

Abstract method that writes a source code to the given output stream in the target shader language.

Implements Ogre::RTShader::FunctionAtom.

The documentation for this class was generated from the following file:

- OgreShaderFunctionAtom.h